質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.87%

  • Python

    6297questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

PyMySQLを使いたいのですが。。。

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 123

kimasa

score 1

 前提・実現したいこと

PyMySQLをインストールしたのですが、以下のエラーが出てなかなかうまく動きません。

 発生している問題・エラーメッセージ

  File "data_maker.py", line 2, in <module>
    import pymysql.cursors
ImportError: No module named pymysql.cursors

 該当のソースコード

ソースコード

 試したこと

matplotlib 1.3.1 requires nose, which is not installed.
matplotlib 1.3.1 requires tornado, which is not installed.
というエラーがありましたので
matplotlib をインストールしようとした際に
Could not install packages due to an EnvironmentError: [Errno 13] Permission denied: '/Library/Python/2.7/site-packages/singledispatch.py'
Consider using the --user option or check the permissions.
というエラーが出てしまい、インストールできずに困っています。

 補足情報(FW/ツールのバージョンなど)

Os Sierra
pyenvによりpythonをインストール済み
現在のバージョンを以下に示す
system
2.7.9
3.5.0

  • anaconda-2.4.0 (set by /Users/name/.python-version)
    anaconda3-2.4.1

インストール時のコマンド
pip install PyMySQL
出力結果
Requirement already satisfied: PyMySQL in ./anaconda2/lib/python2.7/site-packages (0.8.1)

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • kimasa

    2018/05/28 15:45

    おっしゃる通りで、2系と3系を使い分けるのがいいとのことで両方インストールしたものの、友人からanaconda使うといいよと言われたのでインストールし、自分ではうまく把握できていない状態です。

    キャンセル

  • hayataka2049

    2018/05/28 16:04

    把握できていないものを使おうというのは無謀なので、把握する努力をしてください。自分でインストールしたんですから(本当はインストールする前にやっておくべきことなんですけどね)

    キャンセル

  • kimasa

    2018/05/28 16:08

    出直してきます。ありがとうございました。

    キャンセル

回答 1

checkベストアンサー

+1

察するに、pip install PyMySQLを打ったときのpipはanaconda2のpipで、この環境にはPyMySQLがもともと入っていたということだと思います。

anaconda2の環境をactivateして実行すれば、とりあえずanacondaのpython2.7では実行できるかと。

他の環境で使いたければ、その環境に対応しているpipを使えるようにして(anacondaならactivateすれば良いし、systemのはどうインストールしているかにもよりますが仮想環境から出てpipかpip3で普通は呼べるはずです)、そのpipでインストールしてください。


やたら込み入った環境ですが、質問者様ご自身が考えて構築したのですか? それとも参考にした記事等があるのでしょうか。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.87%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Python

    6297questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。